import { AppHarness } from "../../../mocks/AppHarness";
import { HostDetailsContainer } from "../../../views/host/details/HostDetailsContainer";
import { userImpersonatorArgs } from "../../utils/common-args";

export default {
  title: "Views/Host/HostDetailsView"
};

const Template = (args) => (
  <AppHarness
    useTestUser
    {...args}
  >
    <HostDetailsContainer
      hostId={args.hostId}
      hostFqdn={args.hostFqdn}
    />
  </AppHarness>
);

export const Active = (args) => <Template {...args} />;
Active.args = {
  ...userImpersonatorArgs,
  hostId: "MjE5MV9mYWxzZQ",
  hostFqdn: "mebt-vm-ioc01.tn.esss.lu.se"
};

export const InActive = (args) => <Template {...args} />;
InActive.args = {
  ...userImpersonatorArgs,
  hostId: "MjEwOF9mYWxzZQ",
  hostFqdn: "mebt-vm-ioc02.tn.esss.lu.se"
};

export const ActiveWithError = (args) => <Template {...args} />;
ActiveWithError.args = {
  ...userImpersonatorArgs,
  hostId: "NDkzN190cnVl",
  hostFqdn: "mebt-ifc1410-03.tn.esss.lu.se"
};

export const InActiveWithError = (args) => <Template {...args} />;
InActiveWithError.args = {
  ...userImpersonatorArgs,
  hostId: "NTU4MF90cnVl",
  hostFqdn: "mebt-llrf3-mtca-ioc.tn.esss.lu.se"
};
